<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('sy_loan_details_requests', function (Blueprint $blueprint) {
            $blueprint->double('renewpayment')->default(0)->nullable()->change();
            $blueprint->double('paperworkpayment')->default(0)->nullable()->change();
            $blueprint->double('otherpayment')->default(0)->nullable()->change();
            $blueprint->double('interesrate')->default(0)->nullable()->change();
        });
    }

    public function down(): void
    {
        Schema::table('sy_loan_details_requests', function (Blueprint $blueprint) {});
    }
};
